Localizer.PermissionsHandler.PermissionsInfo (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker
Class Localizer.PermissionsHandler.PermissionsInfo

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.Localizer.PermissionsHandler.PermissionsInfo

Enclosing class:
  Localizer.PermissionsHandler

    public static class Localizer.PermissionsHandler.PermissionsInfo

extends Object

Permission information useful for setting permissions for a given path. Using this, one can set all possible combinations of permissions for the owner of the file. But permissions for the group and all others can only be set together, i.e. permissions for group cannot be set different from those for others and vice versa.

Field Summary
`boolean` | `executablePermissions`
`boolean` | `executePermsOwnerOnly`
`boolean` | `readPermissions`
`boolean` | `readPermsOwnerOnly`
`boolean` | `writePermissions`
`boolean` | `writePermsOwnerOnly`

Constructor Summary
`Localizer.PermissionsHandler.PermissionsInfo(boolean readPerms, boolean writePerms, boolean executePerms, boolean readOwnerOnly, boolean writeOwnerOnly, boolean executeOwnerOnly)` Create a permissions-info object with the given attributes

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readPermissions

    public boolean readPermissions

### writePermissions

    public boolean writePermissions

### executablePermissions

    public boolean executablePermissions

### readPermsOwnerOnly

    public boolean readPermsOwnerOnly

### writePermsOwnerOnly

    public boolean writePermsOwnerOnly

### executePermsOwnerOnly

    public boolean executePermsOwnerOnly

Constructor Detail

### Localizer.PermissionsHandler.PermissionsInfo

    public Localizer.PermissionsHandler.PermissionsInfo(boolean readPerms,
                                                        boolean writePerms,
                                                        boolean executePerms,
                                                        boolean readOwnerOnly,
                                                        boolean writeOwnerOnly,
                                                        boolean executeOwnerOnly)

  Create a permissions-info object with the given attributes

  Parameters:
    `readPerms` -
    `writePerms` -
    `executePerms` -
    `readOwnerOnly` -
    `writeOwnerOnly` -
    `executeOwnerOnly` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation